summaryrefslogtreecommitdiffstats
path: root/network/hostapd/hostapd.SlackBuild
diff options
context:
space:
mode:
author Murat D. Kadirov2010-05-12 17:43:26 +0200
committer Robby Workman2010-05-12 17:43:26 +0200
commit4435bd3842ccfb0a803839ad7111b8ae9efa4278 (patch)
tree2f31ca7362c5f057558cda6bdbd0e27da57b018e /network/hostapd/hostapd.SlackBuild
parent83b561e314326cc8406d1ee1836bd2fdd38a7fba (diff)
downloadslackbuilds-4435bd3842ccfb0a803839ad7111b8ae9efa4278.tar.gz
network/hostapd: Updated for version 0.5.11
Diffstat (limited to 'network/hostapd/hostapd.SlackBuild')
-rw-r--r--network/hostapd/hostapd.SlackBuild35
1 files changed, 29 insertions, 6 deletions
diff --git a/network/hostapd/hostapd.SlackBuild b/network/hostapd/hostapd.SlackBuild
index 0f3c3e8ad9..ead85dfad1 100644
--- a/network/hostapd/hostapd.SlackBuild
+++ b/network/hostapd/hostapd.SlackBuild
@@ -3,9 +3,26 @@
# Slackware build script for hostapd
# Written by Murat D. Kadirov <banderols@gmail.com>
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=hostapd
-VERSION=${VERSION:-0.5.10}
+VERSION=${VERSION:-0.5.11}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -38,15 +55,18 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-cp $CWD/config $TMP/$PRGNAM-$VERSION/.config
+cat $CWD/config > .config
-make
+CFLAGS+="$SLKCFLAGS" make
mkdir -p \
$PKG/usr/sbin/ \
- $PKG/etc/hostapd/ \
+ $PKG/etc/hostapd \
$PKG/usr/man/man1 \
$PKG/usr/man/man8/
+
+install -D -m 0755 $CWD/rc.hostapd $PKG/etc/rc.d/rc.hostapd.new
+
DOINST_TMP=$(mktemp) # temporary holding place
for i in \
hlr_auc_gw.milenage_db hostapd.accept hostapd.conf \
@@ -54,6 +74,7 @@ for i in \
hostapd.sim_db hostapd.wpa_psk madwifi.conf wired.conf ;
do
cat $i > $PKG/etc/hostapd/$i.new ;
+ chmod 0600 $PKG/etc/hostapd/$i.new ;
echo "config etc/hostapd/$i.new" >> $DOINST_TMP
done
@@ -62,8 +83,10 @@ gzip -9c hostapd_cli.1 > $PKG/usr/man/man1/hostapd_cli.1.gz
cp hostapd hostapd_cli $PKG/usr/sbin/
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION